Name: urlredir
Version: 2.03
Release: alt2

Summary: A redirector for Squid
License: GPL
Group: System/Servers
URL: ftp://seldon.ormond.unimelb.edu.au/pub/linux/debian/%name/

Source: %url/%name-%version.tar.bz2

Requires: squid

# Automatically added by buildreq on Tue Sep 16 2003
BuildRequires: flex

%description
urlredir is a utility that can be used with the squid proxy cache to perform
URL redirection. It is written in C for speed, and it has a structured
configuration system which allows great control over URL redirection.

%prep
%setup

%build
%configure --sysconfdir=%_sysconfdir/squid
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/squid
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/squid/
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT%_mandir/man5
mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version/examples

install -p -m755 %name $RPM_BUILD_ROOT%_libdir/squid
install -p -m644 %name.conf $RPM_BUILD_ROOT%_sysconfdir/squid
install -p -m644 %name.1 $RPM_BUILD_ROOT%_mandir/man1
install -p -m644 %name.conf.5 $RPM_BUILD_ROOT%_mandir/man5
cp -R examples/* $RPM_BUILD_ROOT%_docdir/%name-%version/examples

%files
%_libdir/squid//%name
%config(noreplace) %_sysconfdir/squid/%name.conf
%_mandir/man?/*
%doc README TODO
%doc examples

%changelog
* Tue Sep 16 2003 Nazar Yurpeak <phoenix@altlinux.ru> 2.03-alt2
- rebuild with hasher

* Sat Nov 16 2002 Nazar Yurpeak <phoenix@altlinux.ru> 2.03-alt1
- 2.03
